;plays 1/3 octave tones using a base 2 calculation method

<CsoundSynthesizer>
<CsOptions>

csound -s -d -m0 -odevaudio -b800 -B800 

</CsOptions>
<CsInstruments>

sr	=	44100
kr	=	441
ksmps	=	100
nchnls  =       1

	instr	1
kenv expseg  0.01, p3*.25, 1.0, p3*.5, 1.0, p3*.25, 0.01
kfreq = 20
kband = kfreq * (exp(log(2.0) * (p4)/3.0))
aout oscili 5000 * kenv, kband, 1
out aout
printf "Band %d = %5.4f \n", 1, p4 +1, kband
 	endin


</CsInstruments>
<CsScore>
; One period of a sine wave
f 1	0	8192	10	1
 
i1	0	5	0 
i.	+	.	1
i.	.	.	2
i.	.  	.	3
i.	.  	.	4
i.	.  	.	5
i.	.  	.	6
i.	.  	.	7
i.	.  	.	8
i.	.  	.	9
i.	.  	.	10
i.	.  	.	11
i.	.  	.	12
i.	.  	.	13
i.	.  	.	14
i.	.  	.	15
i.	.  	.	16
i.	.  	.	17
i.	.  	.	18
i.	.  	.	19
i.	.  	.	20
i.	.  	.	21
i.	.  	.	22
i.	.  	.	23
i.	.  	.	24
i.	.  	.	25
i.	.  	.	26
i.	.  	.	27
i.	.  	.	28
i.	.  	.	29
i.	.  	.	30
e


</CsScore>
</CsoundSynthesizer>
